Bug 1118984 - [abrt] WARNING: CPU: 1 PID: 0 at arch/x86/kernel/cpu/amd.c:220 init_amd+0x6ce/0x740() [NEEDINFO]
Summary: [abrt] WARNING: CPU: 1 PID: 0 at arch/x86/kernel/cpu/amd.c:220 init_amd+0x6ce...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fa86747330089d45f9c775e5b9d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-12 18:04 UTC by Chen_Min_Chin
Modified: 2014-12-10 14:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 14:58:08 UTC
jwboyer: needinfo?


Attachments (Terms of Use)
File: dmesg (38.16 KB, text/plain)
2014-07-12 18:04 UTC, Chen_Min_Chin
no flags Details

Description Chen_Min_Chin 2014-07-12 18:04:46 UTC
Description of problem:
1.Boot in qemu.
2.Login to desktop.
3.Bug occurs.

Additional info:
reporter:       libreport-2.2.2
WARNING: CPU: 1 PID: 0 at arch/x86/kernel/cpu/amd.c:220 init_amd+0x6ce/0x740()
WARNING: This combination of AMD processors is not suitable for SMP.
Modules linked in:
CPU: 1 PID: 0 Comm: swapper/1 Not tainted 3.15.4-200.fc20.i686+PAE #1
Hardware name: Bochs Bochs, BIOS Bochs 01/01/2011
 c0c96907
 a8148e38
 00000000
 f44b3eb0
 c0a098d4
 f44b3ef0
 f44b3ee0
 c045a98e
 c0bb0260
 f44b3f10
 00000000
 c0baa5c1
 000000dc
 c04219fe
 c04219fe
 f4b90e40
 f4b90e90
 f44b3f28
 f44b3efc
 c045a9ee
 00000009
 f44b3ef0
 c0bb0260
 f44b3f10
Call Trace:
 [<c0a098d4>] dump_stack+0x41/0x52
 [<c045a98e>] warn_slowpath_common+0x7e/0xa0
 [<c04219fe>] ? init_amd+0x6ce/0x740
 [<c04219fe>] ? init_amd+0x6ce/0x740
 [<c045a9ee>] warn_slowpath_fmt+0x3e/0x60
 [<c04219fe>] init_amd+0x6ce/0x740
 [<c041fbd7>] identify_cpu+0x117/0x4d0
 [<c06bbf14>] ? radix_tree_lookup+0x14/0x20
 [<c041ff9f>] identify_secondary_cpu+0xf/0x20
 [<c043d2d2>] smp_store_cpu_info+0x32/0x40
 [<c043d7c3>] start_secondary+0x103/0x300

Comment 1 Chen_Min_Chin 2014-07-12 18:04:52 UTC
Created attachment 917545 [details]
File: dmesg

Comment 2 Andrew Jones 2014-07-14 09:44:42 UTC
A comment in the kernel source above this warning says

/* If we get here, not a certified SMP capable AMD system. */

So you've likely configured your qemu machine's cpu topology in such a way that the kernel doesn't know what to do with it. Take a look at your qemu command line, as the fix should be in that configuration. Please paste the command line here as well.

Comment 3 Justin M. Forbes 2014-12-10 14:58:08 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.